#include <iostream>
#include <vector>

using namespace std;

int main()
{
    int poznanstva;
    int brojUcenika;

    cin>>brojUcenika>>poznanstva;

    vector<int> druzeljubivost (brojUcenika);

    for(int j=0; j<brojUcenika; j++){
        cin>>druzeljubivost[j];
    }

    vector<int> sreca (brojUcenika);

    for(int m=0; m<poznanstva; m++){
        int a;
        cin>>a;
        int b;
        cin>>b;
        sreca[a-1]+=druzeljubivost[a-1];
        sreca[b-1]+=druzeljubivost[b-1];
    }

    int zbir=0;
    for(int m=0; m<brojUcenika; m++){
        zbir+=sreca[m];
        //cout<<"sreca od "<<m<<" je "<<sreca[m]<<endl;
    }

    cout<<zbir;

}